#!/usr/bin/python

import os

import utah.provisioning

isodir = '/var/cache/uath/iso'

for iso in os.listdir(isodir):
    isofile = os.path.join(isodir, iso)
    m = utah.provisioning.vm.CustomVM(image=isofile)
    print('File: ' + isofile)
    print('Type: ' + m.installtype)
    print('Arch: ' + m.arch)
    print('Series: ' + m.series)
